Skip to navigation

Get documents in the workspace accessible to the calling user

View as Markdown

This operation retrieves the documents in the workspace that are accessible to the calling user. Documents may be added directly or automatically through tasks such as envelopes. Documents may be used to create envelopes.

Pagination is supported by passing start_position and count in the request. The response will include resultSetSize, start_position, and end_position which may be utilized for subsequent requests.

Required authentication scopes: dtr.rooms.read

Authentication

AuthorizationBearer
JWT Bearer token from Docusign authorization server

Path parameters

accountIdstringRequiredformat: "uuid"
The ID of the account
workspaceIdstringRequiredformat: "uuid"
The ID of the workspace

Query parameters

countintegerOptional
Number of documents to return. Defaults to the maximum which is 100
start_positionintegerOptional
Position of the first item in the total results. Defaults to 0
name_filterstringOptional
Filter documents where Name contains the filter. Defaults to null, to not filter

Response

Documents successfully retrieved
documentslist of objects or nullOptional
The document summary list. Includes the ID, name, and metadata
result_set_sizeinteger or nullOptional

The number of documents returned in the response. Always equal or less than the count of the request

start_positioninteger or nullOptional
Position of the first item in the total results
end_positioninteger or nullOptional
Position of the last item in the total results
total_row_countinteger or nullOptional
The total number of documents in the workspace applicable to the request regardless of pagination. It may not always be computed

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error